import { createApp } from 'vue';
import { logService, LogLevel, ConsoleLogAppender } from '@jdbernard/logging';

import App from './App.vue';
import router from './router';

const consoleLogAppender = new ConsoleLogAppender(LogLevel.ALL);
logService.ROOT_LOGGER.appenders.push(consoleLogAppender);

const logger = logService.getLogger('main');

createApp(App).use(router).mount('#app');
logger.trace('App mounted.');
